#include <SDL.h>
#include <stdio.h>

int main(int argc, char ** argv)
{
	SDL_Surface * screen;
	SDL_Event     event;
	
	bool bAppRun = true;
	//初始化SDL
	if (SDL_Init(SDL_INIT_VIDEO) == -1) {
		fprintf(stderr, "SDL_Init %s\n", SDL_GetError());
		return -1;
	}
	
	//初始化成功设置退出要调用的函数SDL_Quit
	atexit(SDL_Quit);
	
	//创建一个640X480 8-bit 模式的表面
	screen = SDL_SetVideoMode(640, 480, 8, SDL_SWSURFACE);
	if (screen == NULL) {
		fprintf(stderr, "Couldn't set 640x480x8 video mode %s\n",
			SDL_GetError());
		return -1;
	}
	
	while (bAppRun) {
		//消息循环
		if (SDL_PollEvent(&event)) {
			switch (event.type) {
				case SDL_KEYDOWN:
					//按下任意键退出
					bAppRun = false;
				break;
			}
		}
	}
	
	return 0;
}

